%define name    monotone
%define version 1.0
%define release %mkrel 4
%define summary A distributed version control tool


Summary:        %{summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
License: GPLv2
Group: Development/Other
Source: http://monotone.ca/downloads/%{version}/%{name}-%{version}.tar.bz2
Url: http://monotone.ca
# Patches from upstream
Patch0: monotone-1.0-fix-fprint.patch
Patch1: monotone-1.0-fix-rcs-file-function-naming.patch
Patch2: monotone-1.0-fix-xdelta-test.patch
Patch3: monotone-1.0-pcre.patch
Patch4: monotone-1.0-mga-boost-1.53.patch
BuildRequires:  boost-devel
BuildRequires:  zlib-devel
BuildRequires:  texinfo
BuildRequires:  botan-devel
BuildRequires:  pcre-devel
BuildRequires:  sqlite3-devel
BuildRequires:  lua5.1-devel
BuildRequires:  libidn-devel

%description
monotone is a free, distributed version control system. it provides
fully disconnected operation, manages complete tree versions, keeps
its state in a local transactional database, supports overlapping
branches and extensible metadata, exchanges work over plain network
protocols, performs history-sensitive merging, and delegates trust
functions to client-side RSA certificates.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make
make html

%check
# Remove a test which fails (to investigate with upstream) syntax_errors_in_.mtn-ignore
rm -rf test/func/syntax_errors_in_.mtn-ignore
# Remove a test which fails due to patch change (upstream issue 173)
# https://code.monotone.ca/p/monotone/issues/173/
rm -rf test/func/diff_patch_drop/
make check

%install
%makeinstall
%__rm -fr %{buildroot}%{_docdir}/%{name}

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/mtn*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/hooks
%{_datadir}/%{name}/scripts
%{_sysconfdir}/bash_completion.d/*
%{_infodir}/%{name}*
%{_mandir}/man1/*
%doc AUTHORS COPYING NEWS README UPGRADE doc/monotone.html contrib


%changelog

* Sat Apr 13 2013 barjac <barjac> 1.0-4.mga3
+ Revision: 409924
- patch for boost-1.53

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 360269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.0-2.mga3
+ Revision: 344089
- remove test that was failing due to new patch

  + fwang <fwang>
    - apply all patches
    - add fedora patch to fix test
    - br lua5.1

* Sun Feb 19 2012 malo <malo> 1.0-1.mga2
+ Revision: 210829
- fix html doc path
- fix license to GPLv2
- fix tabs vs space issue
- spec clean-up after import
- update to newest version 1.0
- added patches from upstream
- imported package monotone

